summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2024-06-07 05:56:10 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2024-06-07 05:56:10 +0000
commitfc7e738648591497c9e7bd73ca626625cae2cad9 (patch)
treeef110c47976d103538ba092d8bc8995d1b29513c /dev-python
parentdb7db60417b58e2837a4c60c5421b4acd02458b3 (diff)
downloadbaldeagleos-repo-fc7e738648591497c9e7bd73ca626625cae2cad9.tar.gz
baldeagleos-repo-fc7e738648591497c9e7bd73ca626625cae2cad9.tar.xz
baldeagleos-repo-fc7e738648591497c9e7bd73ca626625cae2cad9.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/Faker/Faker-25.6.0.ebuild41
-rw-r--r--dev-python/Faker/Manifest1
-rw-r--r--dev-python/boto3/Manifest1
-rw-r--r--dev-python/boto3/boto3-1.34.121.ebuild53
-rw-r--r--dev-python/botocore/Manifest1
-rw-r--r--dev-python/botocore/botocore-1.34.121.ebuild67
-rw-r--r--dev-python/google-auth/Manifest1
-rw-r--r--dev-python/google-auth/google-auth-2.30.0.ebuild59
-rw-r--r--dev-python/langdetect/Manifest2
-rw-r--r--dev-python/langdetect/files/langdetect-1.0.9-explicit-config.patch13
-rw-r--r--dev-python/langdetect/langdetect-1.0.9.ebuild4
-rw-r--r--dev-python/langdetect/metadata.xml10
-rw-r--r--dev-python/responses/Manifest1
-rw-r--r--dev-python/responses/responses-0.25.2.ebuild47
-rw-r--r--dev-python/sqlalchemy-rqlite/Manifest1
-rw-r--r--dev-python/sqlalchemy-rqlite/sqlalchemy-rqlite-2.0.ebuild35
-rw-r--r--dev-python/sqlglot/Manifest4
-rw-r--r--dev-python/sqlglot/sqlglot-24.1.0.ebuild121
-rw-r--r--dev-python/sqlglot/sqlglot-24.1.2.ebuild121
-rw-r--r--dev-python/sqlglot/sqlglot-25.0.3.ebuild (renamed from dev-python/sqlglot/sqlglot-24.0.3.ebuild)0
-rw-r--r--dev-python/stripe/Manifest1
-rw-r--r--dev-python/stripe/stripe-9.10.0.ebuild88
-rw-r--r--dev-python/tornado/Manifest1
-rw-r--r--dev-python/tornado/tornado-6.4.1.ebuild61
-rw-r--r--dev-python/uv/Manifest10
-rw-r--r--dev-python/uv/uv-0.2.3.ebuild106
-rw-r--r--dev-python/uv/uv-0.2.6.ebuild106
-rw-r--r--dev-python/uv/uv-0.2.9.ebuild (renamed from dev-python/uv/uv-0.2.5.ebuild)8
28 files changed, 479 insertions, 485 deletions
diff --git a/dev-python/Faker/Faker-25.6.0.ebuild b/dev-python/Faker/Faker-25.6.0.ebuild
new file mode 100644
index 000000000000..3bca49bf0d63
--- /dev/null
+++ b/dev-python/Faker/Faker-25.6.0.ebuild
@@ -0,0 +1,41 @@
+# Copyright 2022-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYTHON_COMPAT=( python3_{8,9,10,11,12} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="A Python package that generates fake data for you"
+HOMEPAGE="
+ https://github.com/joke2k/faker/
+ https://pypi.org/project/Faker/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ >=dev-python/python-dateutil-2.4.2[${PYTHON_USEDEP}]
+ !dev-ruby/faker
+"
+BDEPEND="
+ test? (
+ dev-python/freezegun[${PYTHON_USEDEP}]
+ dev-python/pillow[${PYTHON_USEDEP},tiff]
+ dev-python/validators[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ local -x PYTEST_PLUGINS=faker.contrib.pytest.plugin
+ epytest
+}
diff --git a/dev-python/Faker/Manifest b/dev-python/Faker/Manifest
index e44afd278cc7..3302f6e5c23a 100644
--- a/dev-python/Faker/Manifest
+++ b/dev-python/Faker/Manifest
@@ -1,3 +1,4 @@
DIST Faker-25.2.0.tar.gz 1760547 BLAKE2B cba47dd21caaabef23212d38b856c67d9d68c6478f44269ed0da7df4aa06cd313caef1d8072572c2b680172e6a6313548228cbd446e397b6e29fd3e5317bc707 SHA512 bec0a516944f36a4714bcb9b8d46dbd4ab3fb3feb6d4818fd28e9d22d0cfd1621845f669940d41365ec423398ef58714e18de5ae537ce7524cf27018ab088c8f
DIST Faker-25.3.0.tar.gz 1760396 BLAKE2B 46e12f80a84385b4bb50e19a26fe436be1ee846f87309869bc624ec45c15550f33e733d70d9e87c493521020c4e16cddb6f17f2bbc36b6d8072829f582f0beed SHA512 d4b3a762d22b9947ebae254d07abc7e0c3511d9277439075fe876371f1c25dbcbe5a08729e33925c98ec86ef3b5f3321b5a3ac3802784bb42f8296fe9a09eb30
DIST Faker-25.4.0.tar.gz 1760724 BLAKE2B c081bac6264721bafb80c8c64d85050dddfcc89a47f84c1e31ddc8980919c9f46cce0eec00c63f5af906ae09f4e55782610e6a216e481b784a733d9d15385815 SHA512 90398d9ba91d54eb5f81794a7df3b2131206eeff37105653e8175226ad82ef63ac365a9e5fa32f1fb0f30cdf398811e72ac22c2eefc6f2e8ff0821180a362186
+DIST Faker-25.6.0.tar.gz 1761114 BLAKE2B ed88ab6f3bd86ae29bce97318a693b5045a0a688e09b3266b32d217d04c66805bae30f809fc3e384cefc8e7d44e172908cb156c7ce3c43fe68505f47a89c5ffd SHA512 6048a7d225b6cbf4c5e2b11c4d33eeef2eb22414345310907180723e93688d11c885c168bf6d67dd253bd992856e5b41d2921d5673c9ce674cd6d5dd3f81e299
diff --git a/dev-python/boto3/Manifest b/dev-python/boto3/Manifest
index f5c7fe1ed055..c2b55f7ed672 100644
--- a/dev-python/boto3/Manifest
+++ b/dev-python/boto3/Manifest
@@ -4,3 +4,4 @@ DIST boto3-1.34.117.gh.tar.gz 813596 BLAKE2B 1b68c6410a9e4859c05ec6e8baa7b4d0a8e
DIST boto3-1.34.118.gh.tar.gz 814051 BLAKE2B cad75e7e7a24db1642e743efc83fdbe7cf4b5f86723279fb3ae60716ea18385177b497fdb6dba5f2ceee278f27f0c805f65004eef68b3e004f8fbd267e6495f3 SHA512 96ab8049d36f9b8769146f4f1af4bce95b53f785d2097aa7f8a115401016369389332ba48c8736127d145a8e1c4be36f7c9f669b9d5cfd398ad1d371ddf87667
DIST boto3-1.34.119.gh.tar.gz 814478 BLAKE2B a6284483d2921805176c657ae0e4cb3b6136d73e22c8cdeb5e8dd05617b86c07c4721adc936b485fb1f15885b71cc2b9fd1fceed78d2c82773bb623e2a743bde SHA512 6fe31f127582967ef088e851b69bf5925e9ef8d117e4695f576832f8dcd2a85e588c852200b6a1c6e9b49cb17edb600c3d078d05900175898abe38c88221ab94
DIST boto3-1.34.120.gh.tar.gz 814865 BLAKE2B a21973ccd1eaf511d6b38b7b58b0dce0c4f70577f74985cefc74e61afa36e77e2776c7f20ad64dc0b728b041670911398a6e1cdcc88b5a1471a4d87201381f78 SHA512 d75e7cba82b087010447b8c5a49b70706ef2b444c0c2fbad744dcb80a16dfe298e9d98908682007ce0cedce0a20410df6e654d059b8dd87e1551bc889a37bdce
+DIST boto3-1.34.121.gh.tar.gz 816291 BLAKE2B 8bff627f58c4ccbbfb0d8992032df051a67ac750babd240d641bf4243fdfaf7856c70c73641bd309586279bf090106cd0f13d55e9dabb3ef760e3a312851530c SHA512 02bb02dd0c86eaa9d26dbf367ff1b6f72c0e8a9809a3d9295f79e8721ea87567b58c39b084888e6379047c31d6268af105377c01945b1cba9210930949e5d0e8
diff --git a/dev-python/boto3/boto3-1.34.121.ebuild b/dev-python/boto3/boto3-1.34.121.ebuild
new file mode 100644
index 000000000000..509842b2699d
--- /dev/null
+++ b/dev-python/boto3/boto3-1.34.121.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11,12} )
+
+inherit distutils-r1
+
+DESCRIPTION="The AWS SDK for Python"
+HOMEPAGE="
+ https://github.com/boto/boto3/
+ https://pypi.org/project/boto3/
+"
+SRC_URI="
+ https://github.com/boto/boto3/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ >=dev-python/botocore-${PV}[${PYTHON_USEDEP}]
+ >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
+ >=dev-python/s3transfer-0.10.0[${PYTHON_USEDEP}]
+"
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # don't lock versions to narrow ranges
+ sed -e '/botocore/ d' \
+ -e '/jmespath/ d' \
+ -e '/s3transfer/ d' \
+ -i setup.py || die
+
+ # do not rely on bundled deps in botocore (sic!)
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest tests/{functional,unit}
+}
diff --git a/dev-python/botocore/Manifest b/dev-python/botocore/Manifest
index cb65c9001b55..ab516c2ec539 100644
--- a/dev-python/botocore/Manifest
+++ b/dev-python/botocore/Manifest
@@ -4,3 +4,4 @@ DIST botocore-1.34.117.gh.tar.gz 13076178 BLAKE2B defbd66d6409004fe49df44aec0a00
DIST botocore-1.34.118.gh.tar.gz 13078257 BLAKE2B 3fbd875002373cd883daee9b2f5669f24ad45c8524b26d82ac732ad7387e2910783cf912c239f61b6c107a571bdf6db36f04cde0bb979d531544630b99e7de68 SHA512 04785ddfc67507bd0023f86bb7f9048c6fcb498ba3933186fc925d1554bf8c6dcf2499ef980393cd0dbd1e95dc835585d39c24ae005dbf3887477f86187e7be4
DIST botocore-1.34.119.gh.tar.gz 13095281 BLAKE2B 81fed94cb671b4f7bbd0705a8eb7f8e3eb782d40307549edb81f042e9ad3ea22554cc60f02d614a9010c7d501b8cb41ceaecfc9a16d961c31fbf4dc4cf98ec15 SHA512 c48a2d8d4b048a1b0c0ef7ba81a7e1565d4bebc02a38c579d46c1ab23b594310e3f40fc1323b1bcbce47e156a00e82b52518297372ed34e5a45f1f0d98a600d4
DIST botocore-1.34.120.gh.tar.gz 13097207 BLAKE2B 241a9022f4366128da6f8f35050227c9117b1e31e2ca89e07517ca518d2d39c9c9c69f91e916a54d66e2b90786a407dde0a416380e8821819ad42bd50c546107 SHA512 a3bec99a218424e8b63fcd69df4ac6ec2ab5a6cd3e7b0f58aee649a2b42965290669ca8385d2d959e356a7b0bae101e780d3706542bd8b7b8d53596c16460e3e
+DIST botocore-1.34.121.gh.tar.gz 13062301 BLAKE2B ed7220d6c88365402f3dd6517eae6cecea67179584db2f145f67f21f82aae18e45ee4cb622b57590b29a8dda29ff41459b95779410ceef957b8359c51709d734 SHA512 45f8b9fc5af43061e36d7d7d5cec94f5149ec03e30931f6f688cc325e7378f9ae244c58757429f12845b7fc01c7c0ea149b36c2362b50b770f71107d57cd67f8
diff --git a/dev-python/botocore/botocore-1.34.121.ebuild b/dev-python/botocore/botocore-1.34.121.ebuild
new file mode 100644
index 000000000000..857224b496b7
--- /dev/null
+++ b/dev-python/botocore/botocore-1.34.121.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11,12} )
+
+inherit distutils-r1
+
+DESCRIPTION="Low-level, data-driven core of boto 3"
+HOMEPAGE="
+ https://github.com/boto/botocore/
+ https://pypi.org/project/botocore/
+"
+SRC_URI="
+ https://github.com/boto/botocore/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ <dev-python/jmespath-2[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ >=dev-python/urllib3-1.25.4[${PYTHON_USEDEP}]
+"
+# unbundled packages
+RDEPEND+="
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+src_prepare() {
+ # unpin deps
+ sed -i -e "s:>=.*':':" setup.py || die
+
+ # unbundle deps
+ rm -r botocore/vendored || die
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # rely on bundled six
+ tests/functional/test_six_imports.py::test_no_bare_six_imports
+ tests/functional/test_six_threading.py::test_six_thread_safety
+ )
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest tests/{functional,unit}
+}
diff --git a/dev-python/google-auth/Manifest b/dev-python/google-auth/Manifest
index 08458e4f47fd..da514ff6d133 100644
--- a/dev-python/google-auth/Manifest
+++ b/dev-python/google-auth/Manifest
@@ -1 +1,2 @@
DIST google-auth-2.29.0.tar.gz 244326 BLAKE2B 36b0bd8f445e3c7c3e0a83d07cf5924401dec99cdd22a6042bf5b9ca1cc9b1e28d0029f8f1509bcb32a7c54abd7c453dd5077ad25886d265822cf1c880b1326f SHA512 0f6d7e9728479a5937d72321f5ae6cfa3592dd42bb518a5519fc0936b533472e872fe947470a1774f8e53a2dad3c65e001de3899b74b6373dd149c6944423473
+DIST google-auth-2.30.0.tar.gz 251462 BLAKE2B 63deab7b36e79a590348f6e0cfa5c1c0e0715468d35dfcb0e7227932d4d543953668ec4c4b78a087ee1fc22a37bfbc913f07c428f02fa894d28228fae68d0942 SHA512 23ebaf17c12d745214405867661b85eb628dafbc06b87f101ad10d4c4ea8e2cea04a4c9b0c0037ba8f0d8cc12c2221bd4199613fe3c3e3987c72525cb94a5bd3
diff --git a/dev-python/google-auth/google-auth-2.30.0.ebuild b/dev-python/google-auth/google-auth-2.30.0.ebuild
new file mode 100644
index 000000000000..0269b458272d
--- /dev/null
+++ b/dev-python/google-auth/google-auth-2.30.0.ebuild
@@ -0,0 +1,59 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYTHON_COMPAT=( python3_{8,9,10,11,12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Google Authentication Library"
+HOMEPAGE="
+ https://github.com/googleapis/google-auth-library-python/
+ https://pypi.org/project/google-auth/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+RDEPEND="
+ <dev-python/cachetools-6.0.0[${PYTHON_USEDEP}]
+ >=dev-python/pyasn1-0.1.7[${PYTHON_USEDEP}]
+ >=dev-python/pyasn1-modules-0.2.1[${PYTHON_USEDEP}]
+ >=dev-python/rsa-3.1.4[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/cryptography[${PYTHON_USEDEP}]
+ dev-python/flask[${PYTHON_USEDEP}]
+ dev-python/freezegun[${PYTHON_USEDEP}]
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/moto[${PYTHON_USEDEP}]
+ dev-python/pyopenssl[${PYTHON_USEDEP}]
+ dev-python/pytest-localserver[${PYTHON_USEDEP}]
+ dev-python/pyu2f[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/responses[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ local EPYTEST_IGNORE=(
+ # these are compatibility tests with oauth2client
+ # disable them to unblock removal of that package
+ tests/test__oauth2client.py
+ )
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest
+}
+
+python_compile() {
+ distutils-r1_python_compile
+ find "${BUILD_DIR}" -name '*.pth' -delete || die
+}
diff --git a/dev-python/langdetect/Manifest b/dev-python/langdetect/Manifest
index a11d7c268c91..37a64204a00a 100644
--- a/dev-python/langdetect/Manifest
+++ b/dev-python/langdetect/Manifest
@@ -1 +1,3 @@
DIST langdetect-1.0.9.tar.gz 981474 BLAKE2B ea8a9c3f16a2987c080742473bff4f2c1503f53fb3c2b40b0b1d6212bb6133ea22dce7864ffcfb8968c3a46b157d45cb3e2cf6f84bdbed0266cc716a853b032c SHA512 7558d674c47b080c79e43a00a25d2c7f77188cf60bea2cecb3bebb803d75e1aa42b43c74bd26ea1b541f4cb927421908882cbec01a91f0913984217e71ccc8db
+EBUILD langdetect-1.0.9.ebuild 494 BLAKE2B 9b3521c5721afa49a58e0c35267f7d82bb56bd7e1d6d3152be0d36cd220180a526cb20b90b1113fbf0fff4a512137570f0b3bcf864498b7b7cc00403cb61ca27 SHA512 16d311400bf84a5f04e15f3da4b68b2810e4b005009f4d03dc8a487176dfc294403c976c412c83dcfa8084a49ef7b7d5389b43fb2ba446ce107ce4595e3558c6
+MISC metadata.xml 457 BLAKE2B 630128a3e982b6d60cc7b9f74c79fcb5ee47a71a02c73a50af9da8cedb6fad8e20a7f74b881e5b25c6483b92c9edbd56552cd38b2d9cbfa8b3eb4530facea969 SHA512 674f4f5cd809c6c77bc14e0f5687fa972bef14bdfa0b3343c5d66b7163eef1906eb87d060c8288732f825de71dce291ad0b841a5f2f0dd230f957b5687e45d45
diff --git a/dev-python/langdetect/files/langdetect-1.0.9-explicit-config.patch b/dev-python/langdetect/files/langdetect-1.0.9-explicit-config.patch
deleted file mode 100644
index 637368d2f237..000000000000
--- a/dev-python/langdetect/files/langdetect-1.0.9-explicit-config.patch
+++ /dev/null
@@ -1,13 +0,0 @@
-Fix "Package 'langdetect.profiles' is absent from the `packages` configuration."
-
---- a/setup.py
-+++ b/setup.py
-@@ -18,7 +18,7 @@ setup(
- author_email='michal.danilak@gmail.com',
- url='https://github.com/Mimino666/langdetect',
- keywords='language detection library',
-- packages=['langdetect', 'langdetect.utils', 'langdetect.tests'],
-+ packages=['langdetect', 'langdetect.utils', 'langdetect.tests', 'langdetect.profiles'],
- include_package_data=True,
- install_requires=['six'],
- license='MIT',
diff --git a/dev-python/langdetect/langdetect-1.0.9.ebuild b/dev-python/langdetect/langdetect-1.0.9.ebuild
index 630fe63c6f53..c09b7356f549 100644
--- a/dev-python/langdetect/langdetect-1.0.9.ebuild
+++ b/dev-python/langdetect/langdetect-1.0.9.ebuild
@@ -1,4 +1,4 @@
-# Copyright 2022-2024 Gentoo Authors
+# Copyright 2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -19,6 +19,4 @@ KEYWORDS="~amd64"
RDEPEND="dev-python/six[${PYTHON_USEDEP}]"
-PATCHES=( "${FILESDIR}/${P}-explicit-config.patch" )
-
distutils_enable_tests unittest
diff --git a/dev-python/langdetect/metadata.xml b/dev-python/langdetect/metadata.xml
index 736a1167c898..020e07f2a3dd 100644
--- a/dev-python/langdetect/metadata.xml
+++ b/dev-python/langdetect/metadata.xml
@@ -1,6 +1,12 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "https://liguros.gitlab.io/dtd/metadata.dtd">
<pkgmetadata>
-
- <origin>gentoo-guru-overlay</origin>
+ <maintainer type="person">
+ <email>marcin.deranek@slonko.net</email>
+ <name>Marcin Deranek</name>
+ </maintainer>
+ <upstream>
+ <bugs-to>https://github.com/Mimino666/langdetect/issues</bugs-to>
+ </upstream>
+ <origin>slonko-overlay</origin>
</pkgmetadata> \ No newline at end of file
diff --git a/dev-python/responses/Manifest b/dev-python/responses/Manifest
index a634dc9300ca..48d8478b92a9 100644
--- a/dev-python/responses/Manifest
+++ b/dev-python/responses/Manifest
@@ -1 +1,2 @@
DIST responses-0.25.0.tar.gz 77681 BLAKE2B 0437c343feecb071f544d8f6ce1ad15c4d6e2f00c0fff0404dff9160c962a5de46d0b2c882e8d044b6e09c441a534e7bd8772f826a45c9a9b79e34daf0610546 SHA512 6aed8ce17f55e8c1a7438b3e1aa7e7e59322120f3580fede93d61224ea9f1e1f05382cdf82c11cbef29447b6591d7d6e25d156c087025b93d6e5a3e2da82d90d
+DIST responses-0.25.2.tar.gz 77494 BLAKE2B 35df38f1a28c006b9b1edfe77cd8e68e55466c3ad50ea8c0a095dae4de35b8d89aa1290a0bab0a813fcbf63224f652ad7e1964d59151eb5633b4a6000ba489bf SHA512 32c9c3a5028687a23bc8b3ec5c3061cfa9f18c98d66867d2dd94de3e2d59c6176de2bbc3ae3c31df3826819e5f04eb5f4ab7cb0c09ac8e93ed2d8c4d5aa4225d
diff --git a/dev-python/responses/responses-0.25.2.ebuild b/dev-python/responses/responses-0.25.2.ebuild
new file mode 100644
index 000000000000..08ae15c11fc9
--- /dev/null
+++ b/dev-python/responses/responses-0.25.2.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11,12} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Utility for mocking out the Python Requests library"
+HOMEPAGE="
+ https://pypi.org/project/responses/
+ https://github.com/getsentry/responses/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+# tomli backend is optional now, with pyyaml being the new default.
+# However, keeping it unconditional here for backwards compatibility.
+RDEPEND="
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+ <dev-python/requests-3[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.30.0[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ dev-python/tomli[${PYTHON_USEDEP}]
+ ' 3.10)
+ dev-python/tomli-w[${PYTHON_USEDEP}]
+ <dev-python/urllib3-3[${PYTHON_USEDEP}]
+ >=dev-python/urllib3-1.25.10[${PYTHON_USEDEP}]
+"
+
+BDEPEND="
+ test? (
+ dev-python/pytest-asyncio[${PYTHON_USEDEP}]
+ dev-python/pytest-httpserver[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest -o asyncio_mode=auto -p asyncio -p pytest_httpserver
+}
diff --git a/dev-python/sqlalchemy-rqlite/Manifest b/dev-python/sqlalchemy-rqlite/Manifest
index 2323c644c8ea..a2a3a09d3c59 100644
--- a/dev-python/sqlalchemy-rqlite/Manifest
+++ b/dev-python/sqlalchemy-rqlite/Manifest
@@ -1 +1,2 @@
DIST sqlalchemy-rqlite-1.2.gh.tar.gz 4880 BLAKE2B ff07c0ee1c80cdbe0c743a4d25946cb260336766ed43a4496c014de4bb1cde0646250e4ede5f2bb73b8e5ecbe9816ec0b5a82e1c7c35ff66bac62b839bba72ab SHA512 35e11b09c961e6af3bd658c583a0f3621b5798baa2bfd5f85b3d4136b4f134ad4af96e84e7cc52ab3025668ab05fc9e4f178803d8ae570ddbcd5405a43fdedf4
+DIST sqlalchemy-rqlite-2.0.gh.tar.gz 4965 BLAKE2B b3567b9c4d6aa1b9c2098529f6c1066d5e96cd01e612593844ce87bc79229f5f4d4501fa02a281d4027a39ed0368ac3e4ff20be1daeee639f709569f0c801aed SHA512 d2f335031add36c4efc91899a143b79c1a047fbd7fd43e61cc76f0a8e843fe3beffd5b9c6507fd8269dcdd60fd56bf18e605dc96f1f12123b5eea1bd2dd4330e
diff --git a/dev-python/sqlalchemy-rqlite/sqlalchemy-rqlite-2.0.ebuild b/dev-python/sqlalchemy-rqlite/sqlalchemy-rqlite-2.0.ebuild
new file mode 100644
index 000000000000..26afa21a55ae
--- /dev/null
+++ b/dev-python/sqlalchemy-rqlite/sqlalchemy-rqlite-2.0.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11,12} )
+
+inherit distutils-r1
+
+DESCRIPTION="A SQLAlchemy dialect for rqlite"
+HOMEPAGE="
+ https://github.com/rqlite/sqlalchemy-rqlite/
+ https://pypi.org/project/sqlalchemy-rqlite/
+"
+SRC_URI="
+ https://github.com/rqlite/sqlalchemy-rqlite/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ dev-python/pyrqlite[${PYTHON_USEDEP}]
+ dev-python/sqlalchemy[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ sed -e "s:^__version__ = .*:__version__ = '${PV}':" -i src/sqlalchemy_rqlite/constants.py || die
+ distutils-r1_src_prepare
+}
diff --git a/dev-python/sqlglot/Manifest b/dev-python/sqlglot/Manifest
index a5e8a044315e..21302b94680b 100644
--- a/dev-python/sqlglot/Manifest
+++ b/dev-python/sqlglot/Manifest
@@ -19,10 +19,8 @@ DIST quote-1.0.33.crate 28090 BLAKE2B 77c4b166f1200e1ee2ab94a5014acd334c1fe4b7d7
DIST redox_syscall-0.4.1.crate 24858 BLAKE2B c3301137a0b84e03b09d28dfa377ab3bea74d574a08cee21d35713b278d8b5b30ca2a1d73a0981baeb4644cbb88c86c8eb15ab3bb2692e38b93e6b35fab4e0da SHA512 073ed9d96090cf46eab9877742277a013c62d8da86d9caf2310b4fa868af306511936553579e01309f27067d344226cc8dc5e3aef01d9b900da2febd33848f8d
DIST scopeguard-1.2.0.crate 11619 BLAKE2B 8b7e9ed6cefef9ee55407fb9690d57a2a98bb93e5105aeebdb475a52485e9e185255249e1dce8f83cd80534e7402d485aac3efa7e8493b13135de27550cd4bc4 SHA512 6247719a15fe1e4e2d179127b9a934bd2f99367724f41175ed9522f58824b6bc69b35002eae66b35880375ff61d77ac43ddaa78cbde7160a35183a1da32d3fbb
DIST smallvec-1.11.2.crate 34801 BLAKE2B 58645e99db8f02db64d02c75860c7ea41836c427c03ee3b0b23365e73a406e4fd6ac312bf13fc5faef8bb6111c10fcfd5f839d5b3686e9b34d1626f8469fc327 SHA512 5cfb427c3b99b0dbd71f6154ed899abcde9d7d2992977ac7b2ef3a4c3ff51e4efafd133071a69609b4ed6cb269bdc26b79eb72e1988f10dfcaef8185d950cd1d
-DIST sqlglot-24.0.3.tar.gz 18699657 BLAKE2B 263092d5646f3f29c8f1251102623c37257a678f5837ca374576ce96ab49ec6db030bdfacd34bf729119faea995a5698e7952c381880f5e0616c60260f525aba SHA512 765449ead2e3561970c4e77d80dab9449ae283a6d214b8eb7386f82c0eee2a60869ecd1a0e9453640786fbda3bea5550a3856bef1dc73a7fcf0500b318c79dae
-DIST sqlglot-24.1.0.tar.gz 18704713 BLAKE2B 2ea8b2bec6c3e4237cfa0e1310da744555ef18f46cb5a0ead83e50a53fea1857094acb6422be638c18fc935650bf522d987f97eb71883a41b2cb3e6279d5ac59 SHA512 f0379cba95cf2e17cde6a010f651285bdace7619a51e4bc4260388966682d41cc65215405dbe5e33cc34aab8c3c088de5bb9c44baf4c9290aa3725ca89cb5dc2
-DIST sqlglot-24.1.2.tar.gz 18714358 BLAKE2B 83f5e45a53e4ed2dbd897d2fa25576debaae9e7dcb267383db9a44e6cc45beccf5e9e6353977bd8ace085d559077f9d7b45c091edd83b7828acd64bcc5cfdd8c SHA512 1228467ff8d3b73a78c6b34921b7dda0abdc6a0ff34965aa15bbc4a63163982b0e5452e3d913e67e897a3ede3cb4a7ee5372ded02c7f3f60ab9d31e2f2a60d07
DIST sqlglot-25.0.2.tar.gz 18728128 BLAKE2B c0530a0d08e0800f118bc89c8aaa324a31e444d7f49743cc86314223076406cb0f447fbd5da876797da76ca9ac3a82c89ce21b474c5a00d8d0fbd5a145d0fe6a SHA512 27428ffd104c923baac188fd3ba5f29db601a3296d1c1fe87591a0c2c442973dc96b1973be1158f15eed683c89d355e8fc9f1a88acf9c655065cd58ecac19c47
+DIST sqlglot-25.0.3.tar.gz 18736092 BLAKE2B c5123ff152c58797903821173fc2ef26fc1c94565dac23542bf7d92157d91747cba0ae0dbd64051dee5308a5f4e817edb93dc6efa5337d13cbcd2e8caccf7e09 SHA512 31ec6b9e75507905124986f3531ba930ccfbeb6eea0f9b81f4489c67b889d07d9fe3e8705f6df0f222a8417189109ee5676906f58537656d66ce122f2907ba40
DIST syn-2.0.41.crate 246016 BLAKE2B 9d389f2e2a0acb4c84c309456e8ffcc88c5d4d541535ed136832d7a6054dde45a598bb68e8a6f3062ca2a96e1ceae947d54b3aec9bad65b0c51d6733aa6c80db SHA512 6bbaf69ca783025dfb81ac3612ac60bfbed31b2d87792909b35c12892dadebdaff2ddf9463105e536b671dce5870610ab90fe29471284bbd3014dca8d6993f1a
DIST target-lexicon-0.12.12.crate 25156 BLAKE2B f3803596c75f6c89438592a1176c3748fc2c0524d7d50a20056de1cd26d40c572b05bafcdf6dd702752864bea37c8b4f28f96dadc12a5b3bb1d279b25e489f85 SHA512 6147295c43ba1b7b087a3c5ab51534b2985e4e77e5e15687978cfb9d07e21c4fd9bc7191576d6cabd268d08a44dc733c4a957e59dba8b948c2055d8bb433aeca
DIST unicode-ident-1.0.12.crate 42168 BLAKE2B 4cede03c08758ccd6bf53a0d0057d7542dfdd0c93d342e89f3b90460be85518a9fd24958d8b1da2b5a09b5ddbee8a4263982194158e171c2bba3e394d88d6dac SHA512 bc1824e1e4452a40732fc69874d7e1a66f7803717a314790dcf48867eba34bc9441331ef031e386912e52c385645c25b6ed39d4f149973b5b97371b1b96b1920
diff --git a/dev-python/sqlglot/sqlglot-24.1.0.ebuild b/dev-python/sqlglot/sqlglot-24.1.0.ebuild
deleted file mode 100644
index c040bab3734b..000000000000
--- a/dev-python/sqlglot/sqlglot-24.1.0.ebuild
+++ /dev/null
@@ -1,121 +0,0 @@
-# Copyright 2023-2024 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_EXT=1
-DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{8,9,10,11,12} )
-
-CARGO_OPTIONAL=1
-CRATES="
- autocfg@1.1.0
- bitflags@1.3.2
- cfg-if@1.0.0
- heck@0.4.1
- indoc@2.0.4
- libc@0.2.150
- lock_api@0.4.11
- memoffset@0.9.0
- once_cell@1.19.0
- parking_lot@0.12.1
- parking_lot_core@0.9.9
- proc-macro2@1.0.70
- pyo3-build-config@0.20.0
- pyo3-ffi@0.20.0
- pyo3-macros-backend@0.20.0
- pyo3-macros@0.20.0
- pyo3@0.20.0
- quote@1.0.33
- redox_syscall@0.4.1
- scopeguard@1.2.0
- smallvec@1.11.2
- syn@2.0.41
- target-lexicon@0.12.12
- unicode-ident@1.0.12
- unindent@0.2.3
- windows-targets@0.48.5
- windows_aarch64_gnullvm@0.48.5
- windows_aarch64_msvc@0.48.5
- windows_i686_gnu@0.48.5
- windows_i686_msvc@0.48.5
- windows_x86_64_gnu@0.48.5
- windows_x86_64_gnullvm@0.48.5
- windows_x86_64_msvc@0.48.5
-"
-
-inherit cargo distutils-r1 pypi optfeature
-
-DESCRIPTION="An easily customizable SQL parser and transpiler"
-HOMEPAGE="
- https://sqlglot.com/
- https://github.com/tobymao/sqlglot/
- https://pypi.org/project/sqlglot/
-"
-SRC_URI+="
- native-extensions? (
- ${CARGO_CRATE_URIS}
- )
-"
-
-LICENSE="MIT"
-LICENSE+=" native-extensions? ("
-# Dependent crate licenses
-LICENSE+=" Apache-2.0-with-LLVM-exceptions MIT Unicode-DFS-2016"
-LICENSE+=" )"
-SLOT="0"
-KEYWORDS="~amd64 ~arm64 ~x86"
-IUSE="+native-extensions"
-
-BDEPEND="
- native-extensions? (
- ${RUST_DEPEND}
- dev-util/maturin[${PYTHON_USEDEP}]
- )
-"
-
-distutils_enable_tests pytest
-
-QA_FLAGS_IGNORED="usr/lib.*/py.*/site-packages/sqlglotrs/sqlglotrs.*.so"
-
-src_unpack() {
- cargo_src_unpack
-}
-
-src_prepare() {
- # remove fragile timing check
- sed -i -e '/assertLessEqual(time\.time/d' tests/test_parser.py || die
- distutils-r1_src_prepare
-}
-
-python_compile() {
- distutils-r1_python_compile
-
- if use native-extensions; then
- local DISTUTILS_USE_PEP517=maturin
- cd sqlglotrs || die
- distutils-r1_python_compile
- cd - >/dev/null || die
- fi
-}
-
-python_test() {
- local EPYTEST_IGNORE=(
- # Tests require pyspark or duckdb which aren't in the tree.
- # Pandas would be a requirement normally, but it gets ignored by proxy.
- "tests/dataframe/integration/test_dataframe.py"
- "tests/dataframe/integration/test_grouped_data.py"
- "tests/dataframe/integration/test_session.py"
- "tests/test_executor.py"
- "tests/test_optimizer.py"
- )
-
- # make sure not to use an earlier installed version
- local -x SQLGLOTRS_TOKENIZER=$(usex native-extensions 1 0)
- rm -rf sqlglotrs || die
- epytest
-}
-
-pkg_postinst() {
- optfeature "simplifying timedelta expressions" dev-python/python-dateutil
-}
diff --git a/dev-python/sqlglot/sqlglot-24.1.2.ebuild b/dev-python/sqlglot/sqlglot-24.1.2.ebuild
deleted file mode 100644
index c040bab3734b..000000000000
--- a/dev-python/sqlglot/sqlglot-24.1.2.ebuild
+++ /dev/null
@@ -1,121 +0,0 @@
-# Copyright 2023-2024 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_EXT=1
-DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{8,9,10,11,12} )
-
-CARGO_OPTIONAL=1
-CRATES="
- autocfg@1.1.0
- bitflags@1.3.2
- cfg-if@1.0.0
- heck@0.4.1
- indoc@2.0.4
- libc@0.2.150
- lock_api@0.4.11
- memoffset@0.9.0
- once_cell@1.19.0
- parking_lot@0.12.1
- parking_lot_core@0.9.9
- proc-macro2@1.0.70
- pyo3-build-config@0.20.0
- pyo3-ffi@0.20.0
- pyo3-macros-backend@0.20.0
- pyo3-macros@0.20.0
- pyo3@0.20.0
- quote@1.0.33
- redox_syscall@0.4.1
- scopeguard@1.2.0
- smallvec@1.11.2
- syn@2.0.41
- target-lexicon@0.12.12
- unicode-ident@1.0.12
- unindent@0.2.3
- windows-targets@0.48.5
- windows_aarch64_gnullvm@0.48.5
- windows_aarch64_msvc@0.48.5
- windows_i686_gnu@0.48.5
- windows_i686_msvc@0.48.5
- windows_x86_64_gnu@0.48.5
- windows_x86_64_gnullvm@0.48.5
- windows_x86_64_msvc@0.48.5
-"
-
-inherit cargo distutils-r1 pypi optfeature
-
-DESCRIPTION="An easily customizable SQL parser and transpiler"
-HOMEPAGE="
- https://sqlglot.com/
- https://github.com/tobymao/sqlglot/
- https://pypi.org/project/sqlglot/
-"
-SRC_URI+="
- native-extensions? (
- ${CARGO_CRATE_URIS}
- )
-"
-
-LICENSE="MIT"
-LICENSE+=" native-extensions? ("
-# Dependent crate licenses
-LICENSE+=" Apache-2.0-with-LLVM-exceptions MIT Unicode-DFS-2016"
-LICENSE+=" )"
-SLOT="0"
-KEYWORDS="~amd64 ~arm64 ~x86"
-IUSE="+native-extensions"
-
-BDEPEND="
- native-extensions? (
- ${RUST_DEPEND}
- dev-util/maturin[${PYTHON_USEDEP}]
- )
-"
-
-distutils_enable_tests pytest
-
-QA_FLAGS_IGNORED="usr/lib.*/py.*/site-packages/sqlglotrs/sqlglotrs.*.so"
-
-src_unpack() {
- cargo_src_unpack
-}
-
-src_prepare() {
- # remove fragile timing check
- sed -i -e '/assertLessEqual(time\.time/d' tests/test_parser.py || die
- distutils-r1_src_prepare
-}
-
-python_compile() {
- distutils-r1_python_compile
-
- if use native-extensions; then
- local DISTUTILS_USE_PEP517=maturin
- cd sqlglotrs || die
- distutils-r1_python_compile
- cd - >/dev/null || die
- fi
-}
-
-python_test() {
- local EPYTEST_IGNORE=(
- # Tests require pyspark or duckdb which aren't in the tree.
- # Pandas would be a requirement normally, but it gets ignored by proxy.
- "tests/dataframe/integration/test_dataframe.py"
- "tests/dataframe/integration/test_grouped_data.py"
- "tests/dataframe/integration/test_session.py"
- "tests/test_executor.py"
- "tests/test_optimizer.py"
- )
-
- # make sure not to use an earlier installed version
- local -x SQLGLOTRS_TOKENIZER=$(usex native-extensions 1 0)
- rm -rf sqlglotrs || die
- epytest
-}
-
-pkg_postinst() {
- optfeature "simplifying timedelta expressions" dev-python/python-dateutil
-}
diff --git a/dev-python/sqlglot/sqlglot-24.0.3.ebuild b/dev-python/sqlglot/sqlglot-25.0.3.ebuild
index c040bab3734b..c040bab3734b 100644
--- a/dev-python/sqlglot/sqlglot-24.0.3.ebuild
+++ b/dev-python/sqlglot/sqlglot-25.0.3.ebuild
diff --git a/dev-python/stripe/Manifest b/dev-python/stripe/Manifest
index 4ce74d43c3ee..d80a4d3cfaf0 100644
--- a/dev-python/stripe/Manifest
+++ b/dev-python/stripe/Manifest
@@ -1,3 +1,4 @@
+DIST stripe-9.10.0.tar.gz 1273670 BLAKE2B ebe42096846a124dea93744b26103dfc0a82f51191be612962258d7ab8c903e3da707dad3e35bafaa7431dd65a08234d9df5f9a614ff1959d86dc2d992ae7ad0 SHA512 f2a22534703add04512fa5ee124bd0ac48dd8a69dd19438260e9fce2cd00b659b9b014f76e325b6b0e51c79c157d15acb775d4ee4e1401a837d7e7dd81e81191
DIST stripe-9.7.0.tar.gz 1268225 BLAKE2B 2ae512fa7f24966166e2d64a8e4e9f23077d0d0318c6f85e4b922b59fbf66e7bf884567d86270c96911a82b51ecfd72312dfd42d335801e9dd40a1912150e8f0 SHA512 5c36ca6447f5d4947b0e069fe5d4fa30ce2cf11768efa8abb70fcc9a69bd104fe085707a463d566abb5417f9dd4b6cb1d3bab132d20616267931fd895544236e
DIST stripe-9.8.0.tar.gz 1268721 BLAKE2B 12eeb333a51e71f39c366dda1a4bf82c15f7c3673fc4d27c0e25b978a19902b722d44d5b0f17c017638740cb95f353a024f5012ad70b13c0ac7f7b420df4b082 SHA512 3b19ba9709818af12ba2110b32232c9a33f3a43ce33dfeb8a1e0a7c8a2d643f96795ef474ccdef9e780c1ab58bfa3e687105311cc1d5d24c2984d442d539706b
DIST stripe-9.9.0.tar.gz 1272880 BLAKE2B 222cc85453d6ed184c7b945d55ca2d35fb5327b3005c04b97d57ab14d44174394f4c7a03d8ed699297cd1b8a7d2e38a1265e66efe07a6c71abefcea7b36df2cc SHA512 49c783e4365e2cc04fbeef66e2678e5e596899cbc90b1edc2192cc7aac6590a138a7315bb2e0f5f504f6a81b7bc3dd8ee7dfb9777d7780d9944b129b0b8e0d2d
diff --git a/dev-python/stripe/stripe-9.10.0.ebuild b/dev-python/stripe/stripe-9.10.0.ebuild
new file mode 100644
index 000000000000..27387de014be
--- /dev/null
+++ b/dev-python/stripe/stripe-9.10.0.ebuild
@@ -0,0 +1,88 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11,12} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Stripe python bindings"
+HOMEPAGE="
+ https://github.com/stripe/stripe-python/
+ https://pypi.org/project/stripe/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+IUSE="telemetry"
+
+RDEPEND="
+ >=dev-python/requests-2.20[${PYTHON_USEDEP}]
+ >=dev-python/typing-extensions-4.5.0[${PYTHON_USEDEP}]
+"
+# please bump dev-util/stripe-mock dep to the latest version on every bump
+BDEPEND="
+ test? (
+ >=dev-util/stripe-mock-0.186.0
+ dev-python/aiohttp[${PYTHON_USEDEP}]
+ dev-python/anyio[${PYTHON_USEDEP}]
+ dev-python/httpx[${PYTHON_USEDEP}]
+ dev-python/pytest-mock[${PYTHON_USEDEP}]
+ dev-python/trio[${PYTHON_USEDEP}]
+ net-misc/curl
+ )
+"
+
+distutils_enable_tests pytest
+
+DOCS=( LONG_DESCRIPTION.rst CHANGELOG.md README.md )
+
+src_prepare() {
+ if ! use telemetry; then
+ sed -i -e '/enable_telemetry/s:True:False:' stripe/__init__.py || die
+ fi
+ # https://github.com/stripe/stripe-python/pull/1297
+ sed -e 's:from mock:from unittest.mock:' \
+ -i tests/test_http_client.py || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest tests -p anyio -p pytest_mock
+}
+
+src_test() {
+ local stripe_mock_port=12111
+ local stripe_mock_max_port=12121
+ local stripe_mock_logfile="${T}/stripe_mock_${EPYTHON}.log"
+ # Try to start stripe-mock until we find a free port
+ while [[ ${stripe_mock_port} -le ${stripe_mock_max_port} ]]; do
+ ebegin "Trying to start stripe-mock on port ${stripe_mock_port}"
+ stripe-mock --http-port "${stripe_mock_port}" &> "${stripe_mock_logfile}" &
+ local stripe_mock_pid=${!}
+ sleep 2
+ # Did stripe-mock start?
+ curl --fail -u "sk_test_123:" \
+ "http://127.0.0.1:${stripe_mock_port}/v1/customers" &> /dev/null
+ eend ${?} "Port ${stripe_mock_port} unavailable"
+ if [[ ${?} -eq 0 ]]; then
+ einfo "stripe-mock running on port ${stripe_mock_port}"
+ break
+ fi
+ (( stripe_mock_port++ ))
+ done
+ if [[ ${stripe_mock_port} -gt ${stripe_mock_max_port} ]]; then
+ eerror "Unable to start stripe-mock for tests"
+ die "Please see the logfile located at: ${stripe_mock_logfile}"
+ fi
+
+ local -x STRIPE_MOCK_PORT=${stripe_mock_port}
+ distutils-r1_src_test
+
+ # Tear down stripe-mock
+ kill "${stripe_mock_pid}" || die "Unable to stop stripe-mock"
+}
diff --git a/dev-python/tornado/Manifest b/dev-python/tornado/Manifest
index 17479fd3986d..1aa1c1dcecb0 100644
--- a/dev-python/tornado/Manifest
+++ b/dev-python/tornado/Manifest
@@ -1 +1,2 @@
+DIST tornado-6.4.1.tar.gz 500623 BLAKE2B e359d9cbf5e7311e608753a2908e61ea121e4d108209866fda49e79ecca3dc8495c35583406dd7d6b2852c4f6a9df2e340b1f4b892489be976d70000ed51aa33 SHA512 294b4fff8a6d1b9592d355f7faf78f1a94a2aaea1b54414b7e81884b8d4069713a28f6105ae36f27be78abf4c47a1fceab3801bc92b5429374f7a534f104c437
DIST tornado-6.4.tar.gz 498845 BLAKE2B ebcdcfa93490107addfe69f722e2d85058a92fc366b09a4794a4d6e0a93040ef9791095a5a94d21937d4e88dea09521644cf92d0f2c7e98238dc58e6b864a009 SHA512 c063509d4c385e410c63cccdc1e9c66aa2bb739473667ede56cb801b7379b910c8059dec831d609109f3076222b588b257afd960dffa422d7a872867dcdda7c7
diff --git a/dev-python/tornado/tornado-6.4.1.ebuild b/dev-python/tornado/tornado-6.4.1.ebuild
new file mode 100644
index 000000000000..2ba161d109d7
--- /dev/null
+++ b/dev-python/tornado/tornado-6.4.1.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11,12} pypy3 )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Python web framework and asynchronous networking library"
+HOMEPAGE="
+ https://www.tornadoweb.org/
+ https://github.com/tornadoweb/tornado/
+ https://pypi.org/project/tornado/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~arm64-macos ~x64-macos"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ >=dev-python/twisted-16.0.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ ${RDEPEND}
+ $(python_gen_cond_dep '
+ >=dev-python/pycurl-7.19.3.1[${PYTHON_USEDEP}]
+ ' 'python*')
+ )
+"
+
+PATCHES=(
+ "${FILESDIR}/${PN}-6.3.2-test-timeout-increase.patch"
+ "${FILESDIR}/${PN}-6.3.2-ignore-deprecationwarning.patch"
+)
+
+src_prepare() {
+ # network-sandbox? ipv6?
+ sed -i -e 's:test_localhost:_&:' \
+ tornado/test/netutil_test.py || die
+
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local -x ASYNC_TEST_TIMEOUT=60
+ # Avoid time-sensitive tests
+ # https://github.com/tornadoweb/tornado/blob/10974e6ebee80a26a2a65bb9bd715cf858fafde5/tornado/test/util.py#L19
+ local -x TRAVIS=1
+ local -x NO_NETWORK=1
+
+ cd "${T}" || die
+ "${EPYTHON}" -m tornado.test.runtests --verbose ||
+ die "tests failed under ${EPYTHON}"
+}
diff --git a/dev-python/uv/Manifest b/dev-python/uv/Manifest
index 232eaa008a1b..87860dc67f53 100644
--- a/dev-python/uv/Manifest
+++ b/dev-python/uv/Manifest
@@ -1,16 +1,10 @@
-DIST pubgrub-0e684a874c9fb8f74738cd8875524c80e3d4820b.gh.tar.gz 86899 BLAKE2B 51b8753a092deda12a35b501f34c16e800f2ed2c4c47b64622c752bcf8a52dd1fb9dc1ee69cd107b5b6ee48003c8ef804e20f7eed975a6e63615b94648e37890 SHA512 15e404590fb3b21b01fac318df9cbf81f598dc0506d6d5738ff566a5eb1075e6d7a096a8ad1567e27982662aac0ce2a889a0039ce5736ff140fa617ae8b3cb08
DIST pubgrub-a68cbd1a26e43986a31563e1d127e83bafca3a0c.gh.tar.gz 86909 BLAKE2B f7e3cc92d813590f971786967996383fa20243cfff1962bdf2e67a5875597372927c67b4b7b2bc5a227da2b3baa8936387842c940da4123b13a049882f34b50c SHA512 4f6915693acee1ba51d37c6a77ac537010e165bfdc4b7840fc7600bfbc8d64f16ab97729e74b61a40e1382f839605e57c1694806c325a51f4d47f571ed21ee03
-DIST pubgrub-d4795a31be17669aba11eb741b4a9086acc3eb11.gh.tar.gz 86952 BLAKE2B ebf386cf9f6ab0650ab36f1a4afc718aad36e6dbe6426a1bf631b4f521782f0f27a35f3f7eedf63a00b300a1d65382467b587cf74a680a2ba604524c395e2dc4 SHA512 1ecb419d83816a171bc7618fa9f18b897e0ccbd5c8743a6d62c552c96ff77f84b14d11fd2eb7c1bf608c973e1c50cf2be368909ea0adab9125d0e866b55161d8
DIST pubgrub-e981e4dfe315582e84e2fd724832fb0e0c50b7aa.gh.tar.gz 76914 BLAKE2B e7039f3b2fdc2a702f4824ff99acba9549e916c211290b79ec710060369b2c76e518c210c109103bf5ba50cbb373d0a4e3185df09935d7e47241ec25da259776 SHA512 94cfc88b6736ffd78bcbcc3f4cd9940d27c902bf2dfca38dddb470b8a6a0bb3a8e4a61dd1b2654e49327c9386c3ac2a7f090f9a6c2426b19ecf00d9f9716d400
DIST rs-async-zip-1dcb40cfe1bf5325a6fd4bfcf9894db40241f585.gh.tar.gz 96766 BLAKE2B f9efab73c65394e33e090a6292875ebf35e6669b15c356f102eb109784a4503606ae39106cd0ebe3d7d479cb0b30806d7baaaebf22d826836a24f7ed49100934 SHA512 3b845b05d97c5ab5cea286a7c11846838b40bb1fac98a51782600849a53231be8fa205094c6bdd00f6e193c807b10b28f947698696382be99cae0a8d681dabdc
DIST rs-async-zip-d76801da0943de985254fc6255c0e476b57c5836.gh.tar.gz 95906 BLAKE2B a5a0e4d20926d637cbfa25cb486580de6682365c588a9653c873622424ec28ac8c7380d1c99ec260cd342b214aacd5124b51fc5e5646f15f76db4148aada2f41 SHA512 dd5b61bfc913a94822d74f1dac3b30f7a3979a641c3b08ccb5fa84cfbb2bfd8c0f807a30cc4ae0abfe5df7079011c20e1f8a642fd439ce6ba2c404ddee06baf5
DIST uv-0.1.24-crates.tar.xz 64420840 BLAKE2B 7324461092a07c86aadaddf051aaa7454ec08085940f34d07d8a8dc7171abcbf94409df5cd8afd71f1022adb2e76c0aeb1eabe9190598cad4d06e390ccd612f4 SHA512 6701a768a8a1d48ac43038e5161b578b684abed1c2055cc4b7fb5656ec40118287893ee2674b7161292ce7c3e4c062c32ff0038f1548c8f79f4df473d8d26f30
DIST uv-0.1.24.gh.tar.gz 899637 BLAKE2B fab26ba9934fc5f586505b5ac1fa386c11f07e51ca2bb2a79f46d5dec9475ba8d75ad8587223d5149df5f2a225146d020a49b7ff81ed26b949cff55892738c2d SHA512 520b47a096b50fce9e7b7af5bca203df9bf4c2d0aafbe28a3dcfe0592d8ddcaa7b58d52300c67454f6aeecfd196f1592be18e45c95b7c67257361917cdb0154d
-DIST uv-0.2.3-crates.tar.xz 57931028 BLAKE2B fe6040bb495613a462ff1ae654717b7cf9f8155b7940c0de4e2429b2e764adc59079e8a0aa3f610d8e4e1b219e4693324f33175988328f288844eb39c7e9efd2 SHA512 5557318b621d8ff24af1729c41c07b25c7bc55f680683b5ef827f83c06370585852cf12ca557cc25d93a36e3b6e8fbb275bfe8491185fe8136b407850765cd76
-DIST uv-0.2.3.gh.tar.gz 1123964 BLAKE2B 86f74e01c28dbadfa9ad8b4c2dc109b51d3fb9ba35cf1d5d038856cce03ccbfc2d60f02332a60f74725fd7b39f12ad81cfaf8dac63766b56bc8d385295626530 SHA512 af075da0332ef912c589926e56175bd5c3664f52f4c6f5728624d413247891c919389bb316e237cef1d53aca0725a98609f5fccc5c847e0f96d6d31bd5ee1ab0
-DIST uv-0.2.5-crates.tar.xz 57930712 BLAKE2B 58628930e20838c1c0c1c7ecc88c01e1e89ccaf8f6c1547f23d4d149025007f3f24262efd0c28871599213d68b3f7a9caddcbc5f1e10c65134afd2e06793f7d5 SHA512 09460744e9dc823dbf68c45f20ceef712a997c7101e09f3d4c34a0b22621022fc71ff310ce5b05baed8164bef63e36c36ced45303427e1a8d7b763015711f9c7
-DIST uv-0.2.5.gh.tar.gz 1137599 BLAKE2B 2cd71ff0371bc0f84eb16f81ef2ba6600c5004720a13229b55540370128e2caf0c6d34e6643f7afd3fddd145db85d7d914c397aefc24a89cd88fcb4f1d4d1308 SHA512 6b512d3c6f265b16e42e4af508bcc49793e550a710252fcb0b1f7d2d8ae3cbdf50fe78806a0412eb05a285f2361558a394f61fefdea88b95cf9891a68aceb815
-DIST uv-0.2.6-crates.tar.xz 49160884 BLAKE2B 0a848c08548c4d8776a5eb3563dd1256db8bb0608dd3e55aaa979f3550ff0ecf999e94b85e7c27c79d721325dd2edc4dd79042d8840b539a7a11657d16b7b11d SHA512 b0dfd7901db3adf01cf3b6b0a32762efe46686d216f3755a7aaac001165327ac05ebd80a708dd9ae0ab2f6b02fc9cf9081ac69b3dbb45a238a32cdaab17dca61
-DIST uv-0.2.6.gh.tar.gz 1122576 BLAKE2B 7e61bd34fef34276e4650b6ec287cbc9bb28d8e44965e894f593c637d537a1fc83b85f8c65f1c56983f8f4e2a76fb9fe97743bd52f7cb6fa26e08061d6f9da1b SHA512 27803badd9446d73162079eebc896d260b7ac3118959494d0af5149366d8a4818cee3e4fabc551a1c8f801e86b7f82ade32804813b9392ac8715922fa734517b
DIST uv-0.2.8-crates.tar.xz 49233792 BLAKE2B 9ba3816b627b02079ca64c29764c4484a2ca617f8ea5426f0cbae367c5e2647f5b0a3927408e3352645358a1de5513e66e3cec38955920435d1165178e348196 SHA512 b2474f3445745f4351774c597100bafc471db30d9078c4891b426ef299b0b5b30185fb5a2398cc4cf3851e2bdab1fc2c361a990d80eddbd9100314102583cc2a
DIST uv-0.2.8.gh.tar.gz 1139645 BLAKE2B 6a3ce5cf2b9978e0b292c543e81b17df476f410a832524b9d036981a4fcb8ab67f1769e9f975599c7df950b9de802a8147ce209fb5f7c7ea66b4d0197843e6e0 SHA512 e0c6e9e5274095b2315604fd9ae4742c931cd64a893a832142c2ee54be2b8b32fa28a72eb16ef7ef26c7ad3d37ba8428dca62ad653977e98a5c1f029b9260201
+DIST uv-0.2.9-crates.tar.xz 49233792 BLAKE2B 9ba3816b627b02079ca64c29764c4484a2ca617f8ea5426f0cbae367c5e2647f5b0a3927408e3352645358a1de5513e66e3cec38955920435d1165178e348196 SHA512 b2474f3445745f4351774c597100bafc471db30d9078c4891b426ef299b0b5b30185fb5a2398cc4cf3851e2bdab1fc2c361a990d80eddbd9100314102583cc2a
+DIST uv-0.2.9.gh.tar.gz 1147989 BLAKE2B 283bddd99defa92c71da8bad75a9d943585f2feb862fd5764fc9c4d529752506bb79e4fae5d3db532e92a961eaac7554fb679ceaeca6b224c5264a12191586a3 SHA512 bae1ad801ca2dc1d79dfd3b2ce166a97aaab048566059c3ccdbd794bb94876ff4ada45f5a86a22dd92435b9fe4b0b099b6b83132eda2c2fd98d9ceba65c3b66c
diff --git a/dev-python/uv/uv-0.2.3.ebuild b/dev-python/uv/uv-0.2.3.ebuild
deleted file mode 100644
index 609994a07315..000000000000
--- a/dev-python/uv/uv-0.2.3.ebuild
+++ /dev/null
@@ -1,106 +0,0 @@
-# Copyright 2024 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-CRATES="
-"
-
-declare -A GIT_CRATES=(
- [async_zip]='https://github.com/charliermarsh/rs-async-zip;1dcb40cfe1bf5325a6fd4bfcf9894db40241f585;rs-async-zip-%commit%'
- [pubgrub]='https://github.com/astral-sh/pubgrub;0e684a874c9fb8f74738cd8875524c80e3d4820b;pubgrub-%commit%'
-)
-
-inherit cargo check-reqs
-
-CRATE_P=${P}
-DESCRIPTION="A Python package installer and resolver, written in Rust"
-HOMEPAGE="
- https://github.com/astral-sh/uv/
- https://pypi.org/project/uv/
-"
-# pypi sdist misses scripts/, needed for tests
-SRC_URI="
- https://github.com/astral-sh/uv/archive/${PV}.tar.gz
- -> ${P}.gh.tar.gz
- ${CARGO_CRATE_URIS}
-"
-if [[ ${PKGBUMPING} != ${PVR} ]]; then
- SRC_URI+="
- https://dev.gentoo.org/~mgorny/dist/${CRATE_P}-crates.tar.xz
- "
-fi
-
-# most of the code
-LICENSE="|| ( Apache-2.0 MIT )"
-# crates/pep508-rs is || ( Apache-2.0 BSD-2 ) which is covered below
-# Dependent crate licenses
-LICENSE+="
- 0BSD Apache-2.0 Apache-2.0-with-LLVM-exceptions BSD-2 BSD ISC MIT
- MPL-2.0 Unicode-DFS-2016
-"
-# ring crate
-LICENSE+=" openssl"
-SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~x86"
-IUSE="test"
-RESTRICT="test"
-PROPERTIES="test_network"
-
-DEPEND="
- dev-libs/libgit2:=
-"
-RDEPEND="
- ${DEPEND}
-"
-BDEPEND="
- >=virtual/rust-1.77
- test? (
- dev-lang/python:3.8
- dev-lang/python:3.9
- dev-lang/python:3.10
- dev-lang/python:3.11
- dev-lang/python:3.12
- )
-"
-
-QA_FLAGS_IGNORED="usr/bin/.*"
-
-check_space() {
- local CHECKREQS_DISK_BUILD=3G
- use debug && CHECKREQS_DISK_BUILD=9G
- check-reqs_pkg_setup
-}
-
-pkg_pretend() {
- check_space
-}
-
-pkg_setup() {
- check_space
-}
-
-src_prepare() {
- default
-
- # https://github.com/vorot93/tokio-tar/pull/23
- # (fortunately uv already depends on portable-atomic, so we don't
- # have to fight Cargo.lock)
- cd "${WORKDIR}/cargo_home/gentoo/tokio-tar-0.3.1" || die
- eapply "${FILESDIR}/tokio-tar-0.3.1-ppc.patch"
-}
-
-src_compile() {
- cd crates/uv || die
- cargo_src_compile
-}
-
-src_test() {
- cd crates/uv || die
- cargo_src_test --no-fail-fast
-}
-
-src_install() {
- cd crates/uv || die
- cargo_src_install
-}
diff --git a/dev-python/uv/uv-0.2.6.ebuild b/dev-python/uv/uv-0.2.6.ebuild
deleted file mode 100644
index dd8dfa4273d0..000000000000
--- a/dev-python/uv/uv-0.2.6.ebuild
+++ /dev/null
@@ -1,106 +0,0 @@
-# Copyright 2024 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-CRATES="
-"
-
-declare -A GIT_CRATES=(
- [async_zip]='https://github.com/charliermarsh/rs-async-zip;1dcb40cfe1bf5325a6fd4bfcf9894db40241f585;rs-async-zip-%commit%'
- [pubgrub]='https://github.com/astral-sh/pubgrub;d4795a31be17669aba11eb741b4a9086acc3eb11;pubgrub-%commit%'
-)
-
-inherit cargo check-reqs
-
-CRATE_P=${P}
-DESCRIPTION="A Python package installer and resolver, written in Rust"
-HOMEPAGE="
- https://github.com/astral-sh/uv/
- https://pypi.org/project/uv/
-"
-# pypi sdist misses scripts/, needed for tests
-SRC_URI="
- https://github.com/astral-sh/uv/archive/${PV}.tar.gz
- -> ${P}.gh.tar.gz
- ${CARGO_CRATE_URIS}
-"
-if [[ ${PKGBUMPING} != ${PVR} ]]; then
- SRC_URI+="
- https://dev.gentoo.org/~mgorny/dist/${CRATE_P}-crates.tar.xz
- "
-fi
-
-# most of the code
-LICENSE="|| ( Apache-2.0 MIT )"
-# crates/pep508-rs is || ( Apache-2.0 BSD-2 ) which is covered below
-# Dependent crate licenses
-LICENSE+="
- 0BSD Apache-2.0 Apache-2.0-with-LLVM-exceptions BSD-2 BSD ISC MIT
- MPL-2.0 Unicode-DFS-2016
-"
-# ring crate
-LICENSE+=" openssl"
-SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~x86"
-IUSE="test"
-RESTRICT="test"
-PROPERTIES="test_network"
-
-DEPEND="
- dev-libs/libgit2:=
-"
-RDEPEND="
- ${DEPEND}
-"
-BDEPEND="
- >=virtual/rust-1.77
- test? (
- dev-lang/python:3.8
- dev-lang/python:3.9
- dev-lang/python:3.10
- dev-lang/python:3.11
- dev-lang/python:3.12
- )
-"
-
-QA_FLAGS_IGNORED="usr/bin/.*"
-
-check_space() {
- local CHECKREQS_DISK_BUILD=3G
- use debug && CHECKREQS_DISK_BUILD=9G
- check-reqs_pkg_setup
-}
-
-pkg_pretend() {
- check_space
-}
-
-pkg_setup() {
- check_space
-}
-
-src_prepare() {
- default
-
- # https://github.com/vorot93/tokio-tar/pull/23
- # (fortunately uv already depends on portable-atomic, so we don't
- # have to fight Cargo.lock)
- cd "${WORKDIR}/cargo_home/gentoo/tokio-tar-0.3.1" || die
- eapply "${FILESDIR}/tokio-tar-0.3.1-ppc.patch"
-}
-
-src_compile() {
- cd crates/uv || die
- cargo_src_compile
-}
-
-src_test() {
- cd crates/uv || die
- cargo_src_test --no-fail-fast
-}
-
-src_install() {
- cd crates/uv || die
- cargo_src_install
-}
diff --git a/dev-python/uv/uv-0.2.5.ebuild b/dev-python/uv/uv-0.2.9.ebuild
index 609994a07315..9d84b40c445b 100644
--- a/dev-python/uv/uv-0.2.5.ebuild
+++ b/dev-python/uv/uv-0.2.9.ebuild
@@ -8,10 +8,13 @@ CRATES="
declare -A GIT_CRATES=(
[async_zip]='https://github.com/charliermarsh/rs-async-zip;1dcb40cfe1bf5325a6fd4bfcf9894db40241f585;rs-async-zip-%commit%'
- [pubgrub]='https://github.com/astral-sh/pubgrub;0e684a874c9fb8f74738cd8875524c80e3d4820b;pubgrub-%commit%'
+ [pubgrub]='https://github.com/astral-sh/pubgrub;a68cbd1a26e43986a31563e1d127e83bafca3a0c;pubgrub-%commit%'
)
-inherit cargo check-reqs
+# workaround faulty assumptions that 3.12 is the newest Python installed
+PYTHON_COMPAT=( python3_{8,9,10,11,12} )
+
+inherit cargo check-reqs python-any-r1
CRATE_P=${P}
DESCRIPTION="A Python package installer and resolver, written in Rust"
@@ -78,6 +81,7 @@ pkg_pretend() {
pkg_setup() {
check_space
+ python-any-r1_pkg_setup
}
src_prepare() {